#!/usr/bin/awk -f
# merge .IVS files together
BEGIN {
f="";
val="";
out_file = "measuring.txt"
columns="Voltage";
}
{ 
    do {
      if (f != FILENAME) columns = columns OFS FILENAME;
      f = FILENAME; 
      if (FNR > 43) data[$1] = data[$1] OFS $2;
    }   while (getline != 0); 
}
END{
print columns > out_file;
for(val in data) print val,data[val] > out_file;
}

